package com.ruoyi.system.domain;

import java.time.LocalDate;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * userDaily对象 daily_user
 * 
 * @author 昊天
 * @date 2024-11-04
 */
public class DailyUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long dailyUserId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 在线时长 */
    @Excel(name = "在线时长")
    private Long onlineTime;

    /** MR在线时长 */
    @Excel(name = "MR在线时长")
    private Long mrTime;

    /** 每天消费 */
    @Excel(name = "每天消费")
    private Long consumption;

    /** 上传内容数 */
    @Excel(name = "上传内容数")
    private Long tWork;

    /** 每天时间(记录到天就行) */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "每天时间(记录到天就行)", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate date;

    /** 删除标志 */
    private String delFlag;

    public void setDailyUserId(Long dailyUserId) 
    {
        this.dailyUserId = dailyUserId;
    }

    public Long getDailyUserId() 
    {
        return dailyUserId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setOnlineTime(Long onlineTime)
    {
        this.onlineTime = onlineTime;
    }

    public Long getOnlineTime()
    {
        return onlineTime;
    }
    public void setMrTime(Long mrTime)
    {
        this.mrTime = mrTime;
    }

    public Long getMrTime()
    {
        return mrTime;
    }
    public void setConsumption(Long consumption) 
    {
        this.consumption = consumption;
    }

    public Long getConsumption() 
    {
        return consumption;
    }
    public void settWork(Long tWork) 
    {
        this.tWork = tWork;
    }

    public Long gettWork() 
    {
        return tWork;
    }
    public void setDate(LocalDate date)
    {
        this.date = date;
    }

    public LocalDate getDate()
    {
        return date;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dailyUserId", getDailyUserId())
            .append("userId", getUserId())
            .append("onlineTime", getOnlineTime())
            .append("mrTime", getMrTime())
            .append("consumption", getConsumption())
            .append("tWork", gettWork())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("date", getDate())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
